com.tibco.ftl.exceptions

## Class FTLNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.tibco.ftl.FTLException
      - - com.tibco.ftl.exceptions.FTLNotFoundException

- All Implemented Interfaces:
    java.io.Serializable

      public class FTLNotFoundException
      extends FTLException

  Cannot find a requested object.

  Common Diagnoses:

  - A property doesn't exist in a properties object.
  - A transport doesn't exist in the realm.
  - A field is not set in the message, or not defined in the format.
  - A message iterator has already presented the last field of its message.
  - Cannot connect to the realm server at the URL supplied.
  - Cannot remove a subscriber from a queue because it is not associated with that queue.
  - Cannot destroy a timer because it is not associated with the queue.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FTLNotFoundException()`
    `FTLNotFoundException(java.lang.String message)`
    `FTLNotFoundException(java.lang.String message, java.lang.Throwable cause)`
    `FTLNotFoundException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class com.tibco.ftl.FTLException

      `getErrorCode, setErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FTLNotFoundException

          public FTLNotFoundException()

    - #### FTLNotFoundException

          public FTLNotFoundException(java.lang.String message,
                                      java.lang.Throwable cause)

    - #### FTLNotFoundException

          public FTLNotFoundException(java.lang.String message)

    - #### FTLNotFoundException

          public FTLNotFoundException(java.lang.Throwable cause)